# for RedHat 7.3 on Gericom 1st Supersonic
# Michael Besteck, a.b.c@gmx.net

## named.conf - configuration for bind
#
controls {
        inet 127.0.0.1 allow { localhost; } keys { rndckey; };
        inet ::1 allow { localhost; } keys { rndckey; };
};
 
# include "/etc/rndc.key";

options { 
	directory "/var/named/"; 	
	listen-on { 127.0.0.1; 10.0.0.0/8; };
# enable IPv6	
	listen-on-v6 { any; };
};

############################
# IPv6 - resolver
lwres {
};

# zone for reverse lookups for localhost (old, deprecated format - still in use!)
zone  "1.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.ip6.int" { 
	type master; 
	file  "localhost-reverse.ip6.int.zone"; 
};

# zone for reverse lookups for localhost (actual format)
zone  "\[x00000000000000000000000000000001/128].ip6.arpa" { 
	type master; 
	file  "localhost-reverse.ip6.arpa.zone"; 
};
############################


zone  "." { 
	type hint; 
	file  "named.ca";
};


zone  "0.0.127.in-addr.arpa" { 
	type master; 
	file  "0.0.127.in-addr.arpa.zone"; 
};

# netA reverse
zone  "10.10.10.in-addr.arpa" { 
	type master; 
	file  "10.10.10.in-addr.arpa.zone"; 
};

# netB reverse
zone  "20.20.10.in-addr.arpa" { 
	type master; 
	file  "20.20.10.in-addr.arpa.zone"; 
};


zone  "localhost" { 
	type master; 
	file  "localhost.zone"; 
};

zone  "localdomain" { 
	type master; 
	file  "localdomain.zone"; 
};


zone  "netA" { 
	type master; 
	file  "netA.zone"; 
};

zone  "netB" { 
	type master; 
	file  "netB.zone"; 
};

# do _NOT_ use any top-level domain as hostname else that TLD cannot be reached !!!
# (or comment this out)
# in the given sample-configuration HOSTNAME would be hA1 (and the file could be "hA1.zone")

zone  "HOSTNAME" { 
	type master; 
	file  "HOSTNAME.zone"; 
};

# eof
